update for installations with PGSQL < 9.1 fails
authorLars Kneschke <l.kneschke@metaways.de>
Tue, 3 Feb 2015 08:33:09 +0000 (09:33 +0100)
committerPhilipp Schüle <p.schuele@metaways.de>
Tue, 3 Feb 2015 14:23:19 +0000 (15:23 +0100)
commitd4b20d9ffae25d6ae1adeaa3f5284e9e35ba45fd
tree5c20c2c4ecce380e71f60403fc16709de7bf2a7b
parent79045f4c2396869bcfc74555909a098c94e622c4
update for installations with PGSQL < 9.1 fails

- left function is not evailable for PGSQL < 9.1
- do the length calculation in PHP
- create the needed SQL query with Zend_Db_Select

Change-Id: I8de7ded086b7674d87da072da2424ee2bce35f16
Reviewed-on: http://gerrit.tine20.com/customers/1600
Tested-by: Jenkins CI (http://ci.tine20.com/)
Reviewed-by: Philipp Schüle <p.schuele@metaways.de>
tine20/Setup/Update/Abstract.php